Our online courses are designed to work on modern browsers and operating systems. Please use the recommendations below to ensure that your computer is properly configured for our online curriculum.

PLATFORM OPERATING SYSTEM BROWSERS
PC Microsoft Windows XP or later Mozilla Firefox 3.6 or laterInternet Explorer 7 or 8*Safari 4 or later
Macintosh Apple Macintosh OS X 10.5 or later Mozilla Firefox 3.6 or laterInternet Explorer 7 or 8*Safari 4 or later

* 64-bit versions of IE are not supported so 32-bit versions must be used.
* IE 9 is not officially supported, but most features work if all plugins are installed
* Google Chrome is not supported, and some issues have been reported.
* We recommend using one of the above browsers for Blackboard.